package com.da.dangan.mapper;

import com.da.common.core.domain.entity.DaCatalog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 档案目录Mapper接口
 * 
 * @author hs
 * @date 2024-05-08
 */
public interface DaCatalogMapper 
{
    /**
     * 查询档案目录
     * 
     * @param id 档案目录主键
     * @return 档案目录
     */
    public DaCatalog selectDaCatalogById(Long id);

    /**
     * 查询档案目录列表
     * 
     * @param daCatalog 档案目录
     * @return 档案目录集合
     */
    public List<DaCatalog> selectDaCatalogList(DaCatalog daCatalog);

    /**
     * 新增档案目录
     * 
     * @param daCatalog 档案目录
     * @return 结果
     */
    public int insertDaCatalog(DaCatalog daCatalog);

    /**
     * 修改档案目录
     * 
     * @param daCatalog 档案目录
     * @return 结果
     */
    public int updateDaCatalog(DaCatalog daCatalog);

    /**
     * 删除档案目录
     * 
     * @param id 档案目录主键
     * @return 结果
     */
    public int deleteDaCatalogById(Long id);

    /**
     * 批量删除档案目录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDaCatalogByIds(Long[] ids);

    DaCatalog checkDaCatalogNameUnique(@Param("muName") String muName, @Param("pid") Long pid);

    List<DaCatalog> selectDaCatalogListByUserId(DaCatalog daCatalog);

    List<Long> selectCatalogIdsByUserId(Long userId);
}
